#
# spec file for package perl-App-Maisha
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-Maisha
Version:        0.21
Release:        1.1
%define cpan_name App-Maisha
Summary:        Command Line Social Micro-Blog Networking Tool
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/App-Maisha/
Source0:        http://www.cpan.org/authors/id/B/BA/BARBIE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Config::Any)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(Module::Pluggable) >= 2.7
BuildRequires:  perl(Net::Twitter) >= 3.18003
BuildRequires:  perl(Term::Shell)
BuildRequires:  perl(Test::More) >= 0.70
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Config::Any)
Requires:       perl(File::HomeDir)
Requires:       perl(Module::Pluggable) >= 2.7
Requires:       perl(Net::Twitter) >= 3.18003
Requires:       perl(Term::Shell)
Requires:       perl(Test::More) >= 0.70
Recommends:     perl(Test::CPAN::Meta)
Recommends:     perl(Test::CPAN::Meta::JSON)
Recommends:     perl(Test::Distribution) >= 2.00
Recommends:     perl(Test::Effects)
Recommends:     perl(Test::Pod) >= 1.00
Recommends:     perl(Test::Pod::Coverage) >= 0.08
%{perl_requires}

%description
This distribution provides the ability to micro-blog via social networking
websites and services, such as Identica and Twitter.

For further information regarding the commands and configuration, please
see the 'maisha' script included with this distribution.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Mon Apr 20 2015 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-App-Maisha/Changes
* Wed Jun  8 2011 coolo@novell.com
- updated to 0.15
  - added OAuth support to Identica access.
  - added better protection for failing commands.
  - removed password from example settings.
  - updated tests.
  - Now requires Net-Twitter-3.13009
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Sep 12 2010 pascal.bleser@opensuse.org
- split out the command-line frontend into a subpackage "maisha"
- mark the maisha subpackage as noarch on openSUSE >= 11.2
- removed build-time dependencies from Requires
- add missing subdir "examples" to %%doc in maisha
* Sun Sep 12 2010 pascal.bleser@opensuse.org
- initial package (0.14)
